package riskuhujava;

import java.util.ArrayList;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.29F8B60A-7BD5-AC4D-2C18-1357C90449F2]
// </editor-fold> 
public class Tablero {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.24AC001A-4265-3FD8-8938-E5433C1DC437]
    // </editor-fold> 
    //Lista de Continentes del Tablero
    private ArrayList<Continente> mContinente=new ArrayList();
    
    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.93018E3F-CC0B-6C83-33F4-3F728FC4F62D]
    // </editor-fold> 
    //Lista de territorios del Tablero
    private ArrayList<Territorio> mTerritorio=new ArrayList();

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B2647C58-005D-070C-765C-00FD4823D966]
    // </editor-fold> 
    public Tablero () {
        //Inicializo los continentes
        Continente continente1=new Continente("America del Norte");
        Continente continente2=new Continente("America del Sur");
        Continente continente3=new Continente("Europa");
        Continente continente4=new Continente("Africa");
        Continente continente5=new Continente("Asia");
        Continente continente6=new Continente("Australia");
        
        //Territorios de America del Norte
        Territorio t1=new Territorio("Alaska",1);
        Territorio t2=new Territorio("Alberta",2);
        Territorio t3=new Territorio("America Central",3);
        Territorio t4=new Territorio("Estados Unidos del Este",4);
        Territorio t6=new Territorio("Groenlandia",5);
        Territorio t7=new Territorio("Territorios del Noroeste",6);
        Territorio t8=new Territorio("Ontario",7);
        Territorio t9=new Territorio("Quebec",8);
        Territorio t10=new Territorio("Estados Unidos del Oeste",9);
        
        //Territorios de America del Sur
        Territorio t11=new Territorio("Cono Sur",10);
        Territorio t12=new Territorio("Brasil",11);
        Territorio t13=new Territorio("Peru",12);
        Territorio t14=new Territorio("Colombia y Venezuela",13);
        
        //Territorios de Europa
        Territorio t15=new Territorio("Gran Bretaña",14);
        Territorio t16=new Territorio("Iceland",15);
        Territorio t17=new Territorio("Europa del Norte",16);
        Territorio t18=new Territorio("Escandinavia",17);
        Territorio t19=new Territorio("Europa del Sur",18);
        Territorio t20=new Territorio("Ucrania",19);
        Territorio t21=new Territorio("Europa Occidental",20);
        
        //Territorios de Africa
        Territorio t22=new Territorio("Congo",21);
        Territorio t23=new Territorio("Africa Oriental",22);
        Territorio t24=new Territorio("Egipto",23);
        Territorio t25=new Territorio("Madagascar",24);
        Territorio t26=new Territorio("Africa del Norte",25);
        Territorio t27=new Territorio("Sudafrica",26);
        
        //Territorios de Asia
        Territorio t28=new Territorio("Afganistan",27);
        Territorio t29=new Territorio("China",28);
        Territorio t30=new Territorio("India",29);
        Territorio t31=new Territorio("Irkutsk",30);
        Territorio t32=new Territorio("Japon",31);
        Territorio t33=new Territorio("Kamchatka",32);
        Territorio t34=new Territorio("Oriente Medio",33);
        Territorio t35=new Territorio("Mongolia",34);
        Territorio t36=new Territorio("Siam",35);
        Territorio t37=new Territorio("Siberia",36);
        Territorio t38=new Territorio("Ural",37);
        Territorio t39=new Territorio("Yakutsk",38);
        
        //Territorios de Australia
        Territorio t40=new Territorio("Australia Oriental",39);
        Territorio t41=new Territorio("Indonesia",40);
        Territorio t42=new Territorio("Nueva Guinea",41);
        Territorio t5=new Territorio ("Australia Occidental",42);
        
        //defino la lista de territorios vecinos de cada uno
        ArrayList<Territorio> v1=new ArrayList();
        v1.add(t7);
        v1.add(t2);
        t1.setTerritoriosVecinos(v1);
        mTerritorio.add(t1);                    //Añado el territorio a la lista de territorios del tablero
        continente1.addTerritorio(t1);          //Añado el territorio a su la lista de su continente
                     
        ArrayList<Territorio> v2=new ArrayList();
        v2.add(t1);
        v2.add(t7);
        v2.add(t8);
        v2.add(t4);
        v2.add(t10);
        t2.setTerritoriosVecinos(v2);
        mTerritorio.add(t2);
        continente1.addTerritorio(t2);
        
        ArrayList<Territorio> v3=new ArrayList();
        v3.add(t10);
        v3.add(t4);
        v3.add(t14);
        t3.setTerritoriosVecinos(v3);
        mTerritorio.add(t3);
        continente1.addTerritorio(t3);
        
        ArrayList<Territorio> v4=new ArrayList();
        v4.add(t3);
        v4.add(t4);
        v4.add(t2);
        v4.add(t8);
        v4.add(t9);
        t4.setTerritoriosVecinos(v4);        
        mTerritorio.add(t4);
        continente1.addTerritorio(t4);
               
        ArrayList v5=new ArrayList();
        v5.add(t7);
        v5.add(t8);
        v5.add(t9);
        v5.add(t16);
        t6.setTerritoriosVecinos(v4);
        mTerritorio.add(t6);
        continente1.addTerritorio(t6);
        
        ArrayList v6=new ArrayList();
        v6.add(t1);
        v6.add(t2);
        v6.add(t8);
        v6.add(t6);
        t7.setTerritoriosVecinos(v6);
        mTerritorio.add(t7);
        continente1.addTerritorio(t7);
        
        ArrayList v7=new ArrayList();
        v7.add(t7);
        v7.add(t2);
        v7.add(10);
        v7.add(t4);
        t8.setTerritoriosVecinos(v7);
        mTerritorio.add(t8);
        continente1.addTerritorio(t8);
        
        ArrayList v8=new ArrayList();
        v8.add(t8);
        v8.add(t4);
        v8.add(t6);
        t9.setTerritoriosVecinos(v8);
        mTerritorio.add(t9);
        continente1.addTerritorio(t9);
        
        ArrayList v9=new ArrayList();
        v9.add(t2);
        v9.add(t8);
        v9.add(t4);
        v9.add(t3);
        t10.setTerritoriosVecinos(v9);
        mTerritorio.add(t10);
        continente1.addTerritorio(t10);
        
        mContinente.add(continente1);
        
        
        ArrayList v10=new ArrayList();
        v10.add(t12);
        v10.add(t13);
        t11.setTerritoriosVecinos(v10);
        mTerritorio.add(t11);
        continente2.addTerritorio(t11);
        
        ArrayList v11=new ArrayList();
        v11.add(t11);
        v11.add(t13);
        v11.add(t14);
        v11.add(t26);
        t12.setTerritoriosVecinos(v11);
        mTerritorio.add(t12);
        continente2.addTerritorio(t12);
        
        ArrayList v12=new ArrayList();
        v12.add(t11);
        v12.add(t12);
        v12.add(t14);
        t13.setTerritoriosVecinos(v12);
        mTerritorio.add(t13);
        continente2.addTerritorio(t13);
        
        ArrayList v13=new ArrayList();
        v13.add(t11);
        v13.add(t12);
        v13.add(t13);
        v13.add(t3);
        t14.setTerritoriosVecinos(v13);
        mTerritorio.add(t14);
        continente2.addTerritorio(t14);
        
        mContinente.add(continente2);
        
        ArrayList v14=new ArrayList();
        v14.add(t16);
        v14.add(t17);
        v14.add(t18);
        v14.add(21);
        t15.setTerritoriosVecinos(v14);
        mTerritorio.add(t15);
        continente3.addTerritorio(t15);
        
        ArrayList v15=new ArrayList();
        v15.add(t6);
        v15.add(t15);
        v15.add(t18);
        t16.setTerritoriosVecinos(v15);
        mTerritorio.add(t16);
        continente3.addTerritorio(t16);
        
        ArrayList v16=new ArrayList();
        v16.add(t15);
        v16.add(t18);
        v16.add(t19);
        v16.add(t20);
        v16.add(t21);
        t17.setTerritoriosVecinos(v16);
        mTerritorio.add(t17);
        continente3.addTerritorio(t17);
        
        ArrayList v17=new ArrayList();
        v17.add(t15);
        v17.add(t16);
        v17.add(t17);
        v17.add(20);
        t18.setTerritoriosVecinos(v17);
        mTerritorio.add(t18);
        continente3.addTerritorio(t18);
        
        ArrayList v18=new ArrayList();
        v18.add(t21);
        v18.add(t17);
        v18.add(t20);
        v18.add(t24);
        t19.setTerritoriosVecinos(v18);
        mTerritorio.add(t19);
        continente3.addTerritorio(t19);
        
        ArrayList v19=new ArrayList();
        v19.add(t18);
        v19.add(t17);
        v19.add(t19);
        v19.add(t34);
        v19.add(t28);
        v19.add(t38);
        t20.setTerritoriosVecinos(v19);
        mTerritorio.add(t20);
        continente3.addTerritorio(t20);
        
        ArrayList v20=new ArrayList();
        v20.add(t26);
        v20.add(t15);
        v20.add(t17);
        v20.add(t19);
        t21.setTerritoriosVecinos(v20);
        mTerritorio.add(t21);
        continente3.addTerritorio(t21);
        
        mContinente.add(continente3);
        
        ArrayList v21=new ArrayList();
        v21.add(t27);
        v21.add(t23);
        v21.add(t26);
        t22.setTerritoriosVecinos(v21);
        mTerritorio.add(t22);
        continente4.addTerritorio(t22);
        
        ArrayList v22=new ArrayList();
        v22.add(t22);
        v22.add(t24);
        v22.add(t25);
        v22.add(t26);
        t23.setTerritoriosVecinos(v22);
        mTerritorio.add(t23);
        continente4.addTerritorio(t23);
        
        ArrayList v23=new ArrayList();
        v23.add(t19);
        v23.add(t34);
        v23.add(t23);
        v23.add(t26);
        t24.setTerritoriosVecinos(v23);
        mTerritorio.add(t24);
        continente4.addTerritorio(t24);
        
        ArrayList v24=new ArrayList();
        v24.add(t23);
        v24.add(t27);
        t25.setTerritoriosVecinos(v24);
        mTerritorio.add(t25);
        continente4.addTerritorio(t25);
        
        ArrayList v25=new ArrayList();
        v25.add(t19);
        v25.add(t21);
        v25.add(t22);
        v25.add(t23);
        v25.add(t24);
        t26.setTerritoriosVecinos(v25);
        mTerritorio.add(t26);
        continente4.addTerritorio(t26);
        
        ArrayList v26=new ArrayList();
        v26.add(t22);
        v26.add(t23);
        v26.add(t25);
        t27.setTerritoriosVecinos(v26);
        mTerritorio.add(t27);
        continente4.addTerritorio(t27);
        
        mContinente.add(continente4);
        
        ArrayList v27=new ArrayList();
        v27.add(t20);
        v27.add(t29);
        v27.add(t30);
        v27.add(t34);
        v27.add(t37);
        v27.add(t38);
        t28.setTerritoriosVecinos(v27);
        mTerritorio.add(t28);
        continente5.addTerritorio(t28);
        
        ArrayList v28=new ArrayList();
        v28.add(t28);
        v28.add(t30);
        v28.add(t36);
        v28.add(t37);
        v28.add(t35);
        t29.setTerritoriosVecinos(v28);
        mTerritorio.add(t29);
        continente5.addTerritorio(t29);
        
        ArrayList v29=new ArrayList();
        v29.add(t28);
        v29.add(t29);
        v29.add(t34);
        v29.add(t36);
        t30.setTerritoriosVecinos(v29);
        mTerritorio.add(t30);
        continente5.addTerritorio(t30);
        
        ArrayList v30=new ArrayList();
        v30.add(t33);
        v30.add(t35);
        v30.add(t37);
        v30.add(t39);
        t31.setTerritoriosVecinos(v30);
        mTerritorio.add(t31);
        continente5.addTerritorio(t31);
        
        ArrayList v31=new ArrayList();
        v31.add(t33);
        v31.add(t35);
        t32.setTerritoriosVecinos(v31);
        mTerritorio.add(t32);
        continente5.addTerritorio(t32);
        
        ArrayList v32=new ArrayList();
        v32.add(t35);
        v32.add(t31);
        v32.add(t39);
        v32.add(t32);
        v32.add(t1);
        t33.setTerritoriosVecinos(v32);
        mTerritorio.add(t33);
        continente5.addTerritorio(t33);
        
        ArrayList v33=new ArrayList();
        v33.add(t20);
        v33.add(t24);
        v33.add(t28);
        v33.add(t30);
        t34.setTerritoriosVecinos(v33);
        mTerritorio.add(t34);
        continente5.addTerritorio(t34);
        
        ArrayList v34=new ArrayList();
        v34.add(t29);
        v34.add(t37);
        v34.add(t31);
        v34.add(t32);
        v34.add(t33);
        t35.setTerritoriosVecinos(v34);
        mTerritorio.add(t35);
        continente5.addTerritorio(t35);
        
        ArrayList v35=new ArrayList();
        v35.add(t29);
        v35.add(t30);
        v35.add(t41);
        t36.setTerritoriosVecinos(v35);
        mTerritorio.add(t36);
        continente5.addTerritorio(t36);
        
        ArrayList v36=new ArrayList();
        v36.add(t29);
        v36.add(t38);
        v36.add(t31);
        v36.add(t35);
        v36.add(t39);
        t37.setTerritoriosVecinos(v36);
        mTerritorio.add(t37);
        continente5.addTerritorio(t37);
        
        ArrayList v37=new ArrayList();
        v37.add(t20);
        v37.add(t28);
        v37.add(t29);
        v37.add(t37);
        t38.setTerritoriosVecinos(v37);
        mTerritorio.add(t38);
        continente5.addTerritorio(t38);
        
        ArrayList v38=new ArrayList();
        v38.add(t31);
        v38.add(t33);
        v38.add(t37);
        t39.setTerritoriosVecinos(v38);
        mTerritorio.add(t39);
        continente5.addTerritorio(t39);
        
        mContinente.add(continente5);
        
        ArrayList v39=new ArrayList();
        v39.add(t42);
        v39.add(t5);
        t40.setTerritoriosVecinos(v39);
        mTerritorio.add(t40);
        continente6.addTerritorio(t40);
        
        ArrayList v40=new ArrayList();
        v40.add(t36);
        v40.add(t42);
        t41.setTerritoriosVecinos(v40);
        mTerritorio.add(t41);
        continente6.addTerritorio(t41);
        
        ArrayList v41=new ArrayList();
        v41.add(t40);
        v41.add(t41);
        v41.add(t5);
        t42.setTerritoriosVecinos(v41);
        mTerritorio.add(t42);
        continente6.addTerritorio(t42);
        
        ArrayList v42=new ArrayList();
        v42.add(t40);
        v42.add(t41);
        v42.add(t42);
        t5.setTerritoriosVecinos(v42);
        mTerritorio.add(t5);
        continente6.addTerritorio(t5);
        
        mContinente.add(continente6);
        
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.DFA3280C-C0E8-EF9B-1BFA-EC0C39626BAE]
    // </editor-fold> 
    public ArrayList<Continente> getContinente () {
        return mContinente;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.38E16B2C-6DEE-9C5E-2A78-A1E94B94D524]
    // </editor-fold> 
    public void setContinente (ArrayList<Continente> val) {
        mContinente=val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F4FB6930-AB1C-8394-5524-1A6A4174E709]
    // </editor-fold> 
    public ArrayList<Territorio> getTerritorio () {
        return mTerritorio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.F33C1E30-8957-40B2-AD1E-FD141421D5DA]
    // </editor-fold> 
    public void setTerritorio (ArrayList<Territorio> val) {
        mTerritorio=val;
    }

}

